Summary: Tools for zmodem/xmodem/ymodem file transfer
Name: lrzsz
Version: 0.12.20
Release: r6.0
License: GPLv2+
Group: console/network
Packager: Wind River <info@windriver.com>
URL: http://www.ohse.de/uwe/software/lrzsz.html
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/gettext
BuildRequires: virtual/update-alternatives
BuildRequires: gettext-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.22
Requires: update-alternatives-opkg
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc6 >= 2.22
Requires(post): update-alternatives-opkg
Requires(preun): rtld(GNU_HASH)
Requires(preun): libc.so.6(GLIBC_2.3)(64bit)
Requires(preun): libc.so.6(GLIBC_2.14)(64bit)
Requires(preun): libc.so.6()(64bit)
Requires(preun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(preun): libc6 >= 2.22
Requires(preun): update-alternatives-opkg
Provides: /usr/bin/rx
Provides: elf(buildid) = 5208783fd8b14789e1611f09a47d778b932a6d60
Provides: elf(buildid) = 3b714af8527133cec6d37a942d86b878f32b3373
Provides: /usr/bin/rz
Provides: /usr/bin/sz
Provides: /usr/bin/sx
Provides: /usr/bin/sb
Provides: /usr/bin/rb

%description
Lrzsz is a cosmetically modified zmodem/ymodem/xmodem package built from
the public-domain version of Chuck Forsberg's rzsz package. These programs
use error correcting protocols ({z,x,y}modem) to send (sz, sx, sb) and
receive (rz, rx, rb) files over a dial-in serial port from a variety of
programs running under various operating systems.

%package -n lrzsz-dbg
Summary: Tools for zmodem/xmodem/ymodem file transfer - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: lrzsz = 0.12.20-r6.0

%description -n lrzsz-dbg
Lrzsz is a cosmetically modified zmodem/ymodem/xmodem package built from
the public-domain version of Chuck Forsberg's rzsz package. These programs
use error correcting protocols ({z,x,y}modem) to send (sz, sx, sb) and
receive (rz, rx, rb) files over a dial-in serial port from a variety of
programs running under various operating systems.   This package contains
ELF symbols and related sources for debugging purposes.

%package -n lrzsz-staticdev
Summary: Tools for zmodem/xmodem/ymodem file transfer - Development files (Static Libraries)
Group: devel
Requires: lrzsz-dev = 0.12.20-r6.0

%description -n lrzsz-staticdev
Lrzsz is a cosmetically modified zmodem/ymodem/xmodem package built from
the public-domain version of Chuck Forsberg's rzsz package. These programs
use error correcting protocols ({z,x,y}modem) to send (sz, sx, sb) and
receive (rz, rx, rb) files over a dial-in serial port from a variety of
programs running under various operating systems.   This package contains
static libraries for software development.

%package -n lrzsz-dev
Summary: Tools for zmodem/xmodem/ymodem file transfer - Development files
Group: devel
Requires: lrzsz = 0.12.20-r6.0
Suggests: libc6-dev
Suggests: update-alternatives-opkg-dev

%description -n lrzsz-dev
Lrzsz is a cosmetically modified zmodem/ymodem/xmodem package built from
the public-domain version of Chuck Forsberg's rzsz package. These programs
use error correcting protocols ({z,x,y}modem) to send (sz, sx, sb) and
receive (rz, rx, rb) files over a dial-in serial port from a variety of
programs running under various operating systems.   This package contains
symbolic links, header files, and related items necessary for software
development.

%package -n lrzsz-doc
Summary: Tools for zmodem/xmodem/ymodem file transfer - Documentation files
Group: doc

%description -n lrzsz-doc
Lrzsz is a cosmetically modified zmodem/ymodem/xmodem package built from
the public-domain version of Chuck Forsberg's rzsz package. These programs
use error correcting protocols ({z,x,y}modem) to send (sz, sx, sb) and
receive (rz, rx, rb) files over a dial-in serial port from a variety of
programs running under various operating systems.   This package contains
documentation.

%package -n lrzsz-locale
Summary: Tools for zmodem/xmodem/ymodem file transfer
Group: console/network

%description -n lrzsz-locale
Lrzsz is a cosmetically modified zmodem/ymodem/xmodem package built from
the public-domain version of Chuck Forsberg's rzsz package. These programs
use error correcting protocols ({z,x,y}modem) to send (sz, sx, sb) and
receive (rz, rx, rb) files over a dial-in serial port from a variety of
programs running under various operating systems.

%post
# lrzsz - postinst
#!/bin/sh
	update-alternatives --install /usr/bin/rz rz /usr/bin/lrz 100
	update-alternatives --install /usr/bin/rx rx /usr/bin/lrz 100
	update-alternatives --install /usr/bin/rb rb /usr/bin/lrz 100
	update-alternatives --install /usr/bin/sz sz /usr/bin/lsz 100
	update-alternatives --install /usr/bin/sx sx /usr/bin/lsz 100
	update-alternatives --install /usr/bin/sb sb /usr/bin/lsz 100


%preun
# lrzsz - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
	update-alternatives --remove  rz /usr/bin/lrz
	update-alternatives --remove  rx /usr/bin/lrz
	update-alternatives --remove  rb /usr/bin/lrz
	update-alternatives --remove  sz /usr/bin/lsz
	update-alternatives --remove  sx /usr/bin/lsz
	update-alternatives --remove  sb /usr/bin/lsz
fi

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
"/usr/bin/lrz"
"/usr/bin/lsz"

%files -n lrzsz-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
%dir "/usr/src"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/lrz"
"/usr/bin/.debug/lsz"
%dir "/usr/src/debug"
%dir "/usr/src/debug/lrzsz"
%dir "/usr/src/debug/lrzsz/0.12.20-r6"
%dir "/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20"
%dir "/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20/lib"
%dir "/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20/src"
"/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20/lib/long-options.c"
"/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20/lib/getopt.h"
"/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20/lib/xstrtol.h"
"/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20/lib/long-options.h"
"/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20/lib/error.c"
"/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20/lib/xstrtol.c"
"/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20/lib/error.h"
"/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20/src/crctab.c"
"/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20/src/protname.c"
"/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20/src/zglobal.h"
"/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20/src/zperr.c"
"/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20/src/zm.c"
"/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20/src/zreadline.c"
"/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20/src/timing.c"
"/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20/src/timing.h"
"/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20/src/lsz.c"
"/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20/src/tcp.c"
"/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20/src/rbsb.c"
"/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20/src/lsyslog.c"
"/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20/src/lrz.c"
"/usr/src/debug/lrzsz/0.12.20-r6/lrzsz-0.12.20/src/canit.c"

%files -n lrzsz-dev
%defattr(-,-,-,-)

